<?php
/**
 * XLRstats : Real Time Player Stats (http://www.xlrstats.com)
 * Copyright 2005-2012, Mark Weirath, Özgür Uysal
 *
 * Licensed under the Creative Commons BY-NC-SA 3.0 License
 * Redistributions of files must retain the above copyright notice.
 *
 * @link          http://www.xlrstats.com
 * @license       Creative Commons BY-NC-SA 3.0 License (http://creativecommons.org/licenses/by-nc-sa/3.0/)
 * @package       app.View.Pages
 * @since         XLRstats v3.0
 * @version       0.1
 */
$name = Configure::read('options.tos_organisation');
$this->set('title_for_layout', __('Our Cookie Policy • %s • XLRstats', $name));
?>

<h1>Cookie Policy</h1>

<h4>What Are Cookies</h4>

<p>As is common practice with almost all professional websites this site uses cookies, which are tiny files that are
    downloaded to your computer, to improve your experience. This page describes what information they gather, how we
    use it and why we sometimes need to store these cookies. We will also share how you can prevent these cookies from
    being stored however this may downgrade or 'break' certain elements of the sites functionality.</p>
<p>For more general information on cookies see the Wikipedia article on HTTP Cookies...</p>

<h4>How We Use Cookies</h4>

<p>We use cookies for a variety of reasons detailed below. Unfortunately is most cases there are no industry standard
    options for disabling cookies without completely disabling the functionality and features they add to this site. It
    is recommended that you leave on all cookies if you are not sure whether you need them or not in case they are used
    to provide a service that you use.</p>

<h4>Disabling Cookies</h4>

<p>You can prevent the setting of cookies by adjusting the settings on your browser (see your browser Help for how to do
    this). Be aware that disabling cookies will affect the functionality of this and many other websites that you visit.
    Disabling cookies will usually result in also disabling certain functionality and features of the this site.
    Therefore it is recommended that you do not disable cookies.</p>

<h4>The Cookies We Set</h4>

<p>If you create an account with us then we will use cookies for the management of the sign up process and general
    administration. These cookies will usually be deleted when you log out however in some cases they may remain
    afterwards to remember your site preferences when logged out.</p>

<p>We may set cookies when you are logged in so that we can remember this fact. This prevents you from having to log in
    every single time you visit a new page. These cookies are typically removed or cleared when you log out to ensure
    that you can only access restricted features and areas when logged in.</p>

<p>When you submit data to through a form such as those found on contact pages or comment forms cookies may be set to
    remember your user details for future correspondence.</p>

<p>In order to provide you with a great experience on this site we provide the functionality to set your preferences for
    how this site runs when you use it. In order to remember your preferences we need to set cookies so that this
    information can be called whenever you interact with a page is affected by your preferences.</p>

<p>We use cookies to keep the server number persistent when navigating the site and to resume a session when you visit
    the website again later. Without this functionality you can only view the first server available, you will not be
    able to switch between servers.</p>


<h4>Third Party Cookies</h4>

<p>In some special cases we also use cookies provided by trusted third parties. The following section details which
    third party cookies you might encounter through this site.</p>

<p>This site uses Google Analytics which is one of the most widespread and trusted analytics solution on the web for
    helping us to understand how you use the site and ways that we can improve your experience. These cookies may track
    things such as how long you spend on the site and the pages that you visit so we can continue to produce engaging
    content.</p>

<p>For more information on Google Analytics cookies, see the official Google Analytics page.</p>



<h4>More Information</h4>

<p>Hopefully that has clarified things for you and as was previously mentioned if there is something that you aren't
    sure whether you need or not it's usually safer to leave cookies enabled in case it does interact with one of the
    features you use on our site. However if you are still looking for more information then you can contact us through
    one of our preferred contact methods.</p>
